summaryrefslogtreecommitdiffstats
path: root/bin/d-i_manual.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-11-18 18:22:20 +0100
committerHolger Levsen <holger@layer-acht.org>2012-11-18 18:22:20 +0100
commit5152e30f08003ac2ad528ad864c3b6b543e00b0e (patch)
treea9819287ad7e861619409e12d4ae91946cc59b2a /bin/d-i_manual.sh
parent32e774446d2f5369779747db36fe430b35442c80 (diff)
downloadjenkins.debian.net-5152e30f08003ac2ad528ad864c3b6b543e00b0e.tar.xz
add d-i_manual_*_pdf jobs
Diffstat (limited to 'bin/d-i_manual.sh')
-rwxr-xr-xbin/d-i_manual.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/bin/d-i_manual.sh b/bin/d-i_manual.sh
index d59ff7b2..ceeabfef 100755
--- a/bin/d-i_manual.sh
+++ b/bin/d-i_manual.sh
@@ -59,10 +59,14 @@ build_language() {
init_workspace
#
# if $1 is not given, build the whole manual,
-# else just the language $1 as html
+# else just the language $1 in format $2
#
if [ "$1" = "" ] ; then
pdebuild_package
else
- build_language $1 html
+ if [ "$2" = "" ] ; then
+ echo "Error: need format too."
+ exit 1
+ fi
+ build_language $1 $2
fi